Afterpay Developer Docs

Getting Started

What are the requirements for the Afterpay Magento 1 Extension?

πŸ‘

Supported Countries

Afterpay is available for Magento 1 merchants with a store address in these countries:

  • πŸ‡ΊπŸ‡Έ United States
  • πŸ‡¦πŸ‡Ί Australia
  • πŸ‡³πŸ‡Ώ New Zealand
  • πŸ‡¨πŸ‡¦ Canada

1. Magento Version

The Afterpay Extension for Magento 1 is compatible with both Magento 1 Community (CE) 1.7 or later and Enterprise (EE) 1.13 or later.

2. Store Currency

The store currency must correspond to the region where you have signed up for an Afterpay Merchant account.

Before integration of Afterpay extension, it is recommended that Merchant ID and Merchant Key be generated to configure Afterpay extension for installation.

3. Required Settings

  1. Login to Magento Admin and go to System β†’ Configuration
  1. Go to Currency Setup β†’ Currency Options

Set Base Currency, Default Display Currency and Allowed Currencies to the Afterpay account region (USD, AUD or NZD)

  1. Go to System β†’ Configuration β†’ General
  • Make Postcode and State mandatory
  • Ensure Postal Code is not configured as optional for any country that Afterpay is being applied to.
  • Include United States, Australia,, New Zealand, in State is required for
  • Click Save Config

Updated 2 months ago



Getting Started


What are the requirements for the Afterpay Magento 1 Extension?

Suggested Edits are limited on API Reference Pages

You can only suggest edits to Markdown body content, but not to the API spec.